VERSION 5.00
Begin VB.Form frmAllStar 
   BorderStyle     =   4  'Fixed ToolWindow
   Caption         =   "All-Star Editor"
   ClientHeight    =   3675
   ClientLeft      =   45
   ClientTop       =   285
   ClientWidth     =   4590
   BeginProperty Font 
      Name            =   "Terminal"
      Size            =   9
      Charset         =   255
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   Icon            =   "frmAllStar.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3675
   ScaleWidth      =   4590
   ShowInTaskbar   =   0   'False
   StartUpPosition =   1  'CenterOwner
   Begin VB.CommandButton cmdChangeEast 
      Caption         =   "^"
      Height          =   255
      Left            =   3240
      TabIndex        =   7
      Top             =   2640
      Width           =   375
   End
   Begin VB.CommandButton cmdChangeWest 
      Caption         =   "^"
      Height          =   255
      Left            =   960
      TabIndex        =   6
      Top             =   2640
      Width           =   375
   End
   Begin VB.ComboBox cmbPlayer 
      Height          =   300
      ItemData        =   "frmAllStar.frx":1CCA
      Left            =   1440
      List            =   "frmAllStar.frx":1CCC
      Style           =   2  'Dropdown List
      TabIndex        =   5
      Top             =   3120
      Width           =   2895
   End
   Begin VB.ComboBox cmbTeam 
      Height          =   300
      ItemData        =   "frmAllStar.frx":1CCE
      Left            =   240
      List            =   "frmAllStar.frx":1CD0
      Style           =   2  'Dropdown List
      TabIndex        =   4
      Top             =   3120
      Width           =   855
   End
   Begin VB.ListBox lstEAST 
      Height          =   2220
      ItemData        =   "frmAllStar.frx":1CD2
      Left            =   2400
      List            =   "frmAllStar.frx":1CD9
      TabIndex        =   1
      Top             =   360
      Width           =   2055
   End
   Begin VB.ListBox lstWEST 
      Height          =   2220
      ItemData        =   "frmAllStar.frx":1CE6
      Left            =   120
      List            =   "frmAllStar.frx":1CED
      TabIndex        =   0
      Top             =   360
      Width           =   2055
   End
   Begin VB.Line Line2 
      X1              =   120
      X2              =   4440
      Y1              =   3000
      Y2              =   3000
   End
   Begin VB.Label lblLabel 
      Caption         =   "EAST"
      Height          =   255
      Index           =   1
      Left            =   3240
      TabIndex        =   3
      Top             =   120
      Width           =   495
   End
   Begin VB.Label lblLabel 
      Caption         =   "WEST"
      Height          =   255
      Index           =   0
      Left            =   960
      TabIndex        =   2
      Top             =   120
      Width           =   495
   End
   Begin VB.Line Line1 
      X1              =   2280
      X2              =   2280
      Y1              =   120
      Y2              =   2760
   End
End
Attribute VB_Name = "frmAllStar"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim west_as(1, 11) As Byte
Dim east_as(1, 11) As Byte

Dim currentConf As Byte

Private Const CONF_WEST = 0
Private Const CONF_EAST = 1

Option Explicit




Private Sub Form_Load()
    Call refreshWest
    Call refreshEast
    
    lstEAST.ListIndex = 0
    lstWEST.ListIndex = 0

End Sub

Private Sub Form_Unload(Cancel As Integer)
    Dim i As Integer
    
    For i = 0 To 11
        Call projectFile.setWestAllStar(i, west_as(0, i), west_as(1, i))
        Call projectFile.setEastAllStar(i, east_as(0, i), east_as(1, i))
    Next i
    
End Sub


















Private Sub lstEAST_Click()
    currentConf = CONF_EAST
    Call refreshTeamCombo
    Call refreshPlayerCombo(east_as(0, lstEAST.ListIndex))
    cmbTeam.ListIndex = east_as(0, lstEAST.ListIndex)
    cmbPlayer.ListIndex = east_as(1, lstEAST.ListIndex)
End Sub

Private Sub lstWEST_Click()
    currentConf = CONF_WEST
    Call refreshTeamCombo
    Call refreshPlayerCombo(west_as(0, lstWEST.ListIndex))
    cmbTeam.ListIndex = west_as(0, lstWEST.ListIndex)
    cmbPlayer.ListIndex = west_as(1, lstWEST.ListIndex)
End Sub

Private Sub cmbTeam_Click()
    Call refreshPlayerCombo(cmbTeam.ListIndex)
    If (currentConf = CONF_WEST) Then
        cmbPlayer.ListIndex = east_as(1, lstWEST.ListIndex)
    Else
        cmbPlayer.ListIndex = west_as(1, lstEAST.ListIndex)
    End If
End Sub

Private Sub cmdChangeEast_Click()
    Dim temp_team As clsTeam, temp_plyr As clsPlayer, temp_index As Integer

    east_as(0, lstEAST.ListIndex) = cmbTeam.ListIndex
    east_as(1, lstEAST.ListIndex) = cmbPlayer.ListIndex

    Set temp_team = projectFile.getTeamRef(east_as(0, lstEAST.ListIndex))
    Set temp_plyr = temp_team.getPlayerRef(east_as(1, lstEAST.ListIndex))
    temp_index = lstEAST.ListIndex
    Call lstEAST.AddItem(temp_plyr.getFullname(), lstEAST.ListIndex)
    Call lstEAST.RemoveItem(lstEAST.ListIndex)
    lstEAST.ListIndex = temp_index

End Sub

Private Sub cmdChangeWest_Click()
    Dim temp_team As clsTeam, temp_plyr As clsPlayer, temp_index As Integer

    west_as(0, lstWEST.ListIndex) = cmbTeam.ListIndex
    west_as(1, lstWEST.ListIndex) = cmbPlayer.ListIndex

    Set temp_team = projectFile.getTeamRef(west_as(0, lstWEST.ListIndex))
    Set temp_plyr = temp_team.getPlayerRef(west_as(1, lstWEST.ListIndex))
    temp_index = lstWEST.ListIndex
    Call lstWEST.AddItem(temp_plyr.getFullname(), lstWEST.ListIndex)
    Call lstWEST.RemoveItem(lstWEST.ListIndex)
    lstWEST.ListIndex = temp_index
End Sub














Private Function refreshTeamCombo()
    Dim temp_team As clsTeam
    Dim i As Integer
    
    cmbTeam.Clear
    For i = 0 To 26
        Set temp_team = projectFile.getTeamRef(i)
        cmbTeam.AddItem temp_team.getAbrev(), i
    Next i
End Function
Private Function refreshPlayerCombo(ByVal selectedTeam As Integer)
    Dim temp_team As clsTeam, temp_plyr As clsPlayer
    Dim i As Integer
    
    cmbPlayer.Clear
    Set temp_team = projectFile.getTeamRef(selectedTeam)
    For i = 0 To 11
        Set temp_plyr = temp_team.getPlayerRef(i)
        cmbPlayer.AddItem temp_plyr.getFullname(), i
    Next i
End Function















Private Function refreshWest()
    Dim i As Integer, temp() As Byte
    Dim temp_team As clsTeam, temp_plyr As clsPlayer

    lstWEST.Clear
    For i = 0 To 11
        temp = projectFile.getWestAllStar(i)
        west_as(0, i) = temp(0)
        west_as(1, i) = temp(1)
        Set temp_team = projectFile.getTeamRef(west_as(0, i))
        Set temp_plyr = temp_team.getPlayerRef(west_as(1, i))
        lstWEST.AddItem temp_plyr.getFullname(), i
    Next i

End Function

Private Function refreshEast()
    Dim i As Integer, temp() As Byte
    Dim temp_team As clsTeam, temp_plyr As clsPlayer

    lstEAST.Clear
    For i = 0 To 11
        temp = projectFile.getEastAllStar(i)
        east_as(0, i) = temp(0)
        east_as(1, i) = temp(1)
        Set temp_team = projectFile.getTeamRef(east_as(0, i))
        Set temp_plyr = temp_team.getPlayerRef(east_as(1, i))
        lstEAST.AddItem temp_plyr.getFullname(), i
    Next i

End Function


